## org.apache.lucene.analysis.tokenattributes
Interface TypeAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  Token, TypeAttributeImpl

    public interface TypeAttribute

extends Attribute

A Token's lexical type. The Default value is "word".

Field Summary
`static String` `DEFAULT_TYPE` the default type

Method Summary
`void` `setType(String type)` Set the lexical type.
`String` `type()` Returns this Token's lexical type.

Field Detail

### DEFAULT_TYPE

    static final String DEFAULT_TYPE

  the default type

  See Also:
    Constant Field Values

Method Detail

### type

    String type()

  Returns this Token's lexical type. Defaults to "word".

  See Also:
    `setType(String)`

### setType

    void setType(String type)

  Set the lexical type.

  See Also:
    `type()`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.